
/*!
 * @file ip.h
 * @brief Definition of Time Class.
 *
 * These are mainly Classes, that are used for wrapping around SDL_thread
 */

#ifndef __IP_H__
#define __IP_H__

#include <string>

#include "netdefs.h"


//! A class to handle time itself
class IP
{
  public:
    IP();
    IP(const std::string& ip);
    IP(int ip);


    float ip() const;
    float ip(unsigned int part) const;

    std::string& ipString() const;



  public:
    static int stringToIP(const std::string& ip);
    static const std::string& ipToString(int ip);

  private:
    int           _ip;  //!< the IP in int form.


};

#endif /* __IP_H__ */
